<div class="wrap" id="dk-speakup">

	<div id="icon-dk-speakup" class="icon32"><br /></div>
	<h2><?php echo $page_title; ?></h2>
	<?php if ( $message_update ) echo '<div id="message" class="updated"><p>' . $message_update . '</p></div>' ?>

	<div class="tablenav">
		<ul class='subsubsub'>
			<li class='table-label'><?php echo $table_label; ?></li>
			<li>| <a href="<?php echo esc_url( wp_nonce_url( $base_url . '&csv=signatures', 'dk_speakup-download_signatures' ) ); ?>"><?php _e( 'Download as CSV', 'dk_speakup' ); ?></a></li>
		</ul>
		<?php dk_speakup_pagination( $query_limit, $count, 'dk_speakup_signatures', $current_page, $base_url, true ); ?>
	</div>

	<table class="widefat">
		<thead>
			<tr>
				<th><?php _e( 'Name', 'dk_speakup' ); ?></th>
				<th><?php _e( 'Email', 'dk_speakup' ); ?></th>
				<th><?php _e( 'Petition', 'dk_speakup' ); ?></th>
				<th><?php _e( 'Confirmed', 'dk_speakup' ); ?></th>
				<th><?php _e( 'Opt-in', 'dk_speakup' ); ?></th>
				<th><?php _e( 'Date', 'dk_speakup' ); ?></th>
				<th></th>
			</tr>
		</thead>
		<tfoot>
			<tr>
				<th><?php _e( 'Name', 'dk_speakup' ); ?></th>
				<th><?php _e( 'Email', 'dk_speakup' ); ?></th>
				<th><?php _e( 'Petition', 'dk_speakup' ); ?></th>
				<th><?php _e( 'Confirmed', 'dk_speakup' ); ?></th>
				<th><?php _e( 'Opt-in', 'dk_speakup' ); ?></th>
				<th><?php _e( 'Date', 'dk_speakup' ); ?></th>
				<th></th>
			</tr>
		</tfoot>
		<tbody>
			<?php if ( $count == 0 ) echo '<tr><td colspan="5">' . __( "No signatures found.", "dk_speakup" ) . ' </td></tr>'; ?>
			<?php foreach ( $results as $field ) : ?>
				<?php $pid_string =  ( $pid ) ? '&pid=' . $pid : '' ; ?>
				<?php $delete_url = esc_url( wp_nonce_url( site_url() . '/wp-admin/admin.php?page=dk_speakup_signatures&action=delete&sid=' . $field->id . $pid_string, 'dk_speakup-delete_signature' . $field->id ) ); ?>
				<?php
					// make confirmed values readable
					$confirmed = $field->confirmed;
					if ( $confirmed == '1' )
						$confirmed = '<span class="dk-speakup-green">'  . __( 'confirmed', 'dk_speakup' ) . '</span>';
					elseif ( $confirmed == '0' )
						$confirmed = __( 'unconfirmed', 'dk_speakup' );
					else
						$confirmed = '--';
					// make email opt-in values readable
					$email_optin = $field->email_optin;
					if ( $email_optin == '1' )
						$email_optin = '<span class="dk-speakup-green">'  . __( 'yes', 'dk_speakup' ) . '</span>';
					elseif ( $email_optin == '0' )
						$email_optin = __( 'no', 'dk_speakup' );
					else
						$email_optin = '--';
				?>
			<tr class="dk-speakup-signatures-row">
				<td><?php echo esc_html( $field->first_name . ' ' . $field->last_name ); ?></td>
				<td><?php echo esc_html( $field->email ); ?></td>
				<td><?php echo esc_html( $field->petition_title ); ?></td>
				<td><?php echo $confirmed; ?></td>
				<td><?php echo $email_optin; ?></td>
				<td><?php echo date( 'M d, Y', strtotime( $field->date ) ); ?></td>
				<td class="dk-speakup-right"><a href="<?php echo $delete_url; ?>"><?php _e( 'Delete', 'dk_speakup' ); ?></a></td>
			</tr>
			<?php endforeach; ?>
		</tbody>
	</table>

	<div class="tablenav">
		<?php dk_speakup_pagination( $query_limit, $count, 'dk_speakup_signatures', $current_page, $base_url, false ); ?>
	</div>

</div>